{
  num: 827,
  accuracy: 100,
  basePower: 80,
  category: "Physical",
  name: "Dire Claw",
  pp: 15,
  priority: 0,
  flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
  secondary: {
    chance: 50,
    onHit(target, source) {
      const result = this.random(3);
      if (result === 0) {
        target.trySetStatus("psn", source);
      } else if (result === 1) {
        target.trySetStatus("par", source);
      } else if (result === 2){
        target.trySetStatus("slp", source);
      } 
    }
  },
  target: "normal",
  type: "Poison"
} 